API Documentation
<access-service>/api/v1/dashboard/plans

URL structure

https://access-service.xy-company.com/api/v1/dashboard/plans

Supported methods and overview

  • GET - used to retrieve a summary of information about all plans on the Covata Platform and Covata users with the Originator role which have been assigned to each plan.

Note: This method takes no parameters.

Detailed description

This API endpoint retrieves a summary of information about the numbers and percentages of Covata users with the Originator role assigned to each plan on the Covata Platform.

All current plans on the Covata Platform are returned in the response to this API endpoint.

Supported roles

This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6

Returns

A JSON-formatted response containing the following members:

  • totalStorageCapacity - .
  • storageCapacityMeasure - .
  • totalUsersWithOwnerRole - .
  • planBreakdown - An array containing information about each existing plan on the Covata Platform. Each element of this array contains information about one of these plans and is represented as an object, containing the following members:

    • id - .
    • name - .
    • userCount - .
    • percentOfTotalUsers - .

    Example (response from ...):